0

I am running an office server based on Debian (for developing websites based on TYPO3) and have changed from mod_fcgid to PHP FPM – just to have two PHP versions available in an easy way...

Now I am working on a project/vhost with PHP 7.0 running and get sporadically error 500. When I refresh the same page / or do the same action it works – so it's really annoying since I cannot find any solution for that.

I am using the default php7.0-fpm config.

My vhost config looks like this:

<VirtualHost  192.168.2.10:80>
    ServerName mdo.ka.dev
    ServerAlias mdo.ka.dev

    DocumentRoot /var/www/git_websites/MDO
    SuexecUserGroup myuser mygroup

    ServerAdmin info@myemail

    UseCanonicalName Off
  DirectoryIndex index.htm index.html index.php

  AddType application/x-httpd-fastphp7---mdo .php
  Action application/x-httpd-fastphp7---mdo /php7-fcgi---mdo
  Alias /php7-fcgi---mdo /usr/lib/cgi-bin/php7-fcgi---mdo
  FastCgiExternalServer /usr/lib/cgi-bin/php7-fcgi---mdo -socket /run/php/php7.0-fpm.sock -idle-timeout 900 -pass-header Authorization

    <Directory /var/www/git_websites/MDO>
        AllowOverride FileInfo
    </Directory>
</VirtualHost>

And I am getting the folling errors:

[Mon Apr 10 10:02:37.341218 2017] [fastcgi:error] [pid 20539]  (104)Connection reset by peer: [client 192.168.2.54:60604] FastCGI: comm with server "/usr/lib/cgi-bin/php7-fcgi---mdo" aborted: read failed, referer: http://mdo.ka.dev/kontakt/distributoren/
[Mon Apr 10 10:02:37.341271 2017] [fastcgi:error] [pid 20539] [client 192.168.2.54:60604] FastCGI: incomplete headers (0 bytes) received from server "/usr/lib/cgi-bin/php7-fcgi---mdo", referer: http://mdo.ka.dev/kontakt/distributoren/

I don't understand where the problem is. I am getting the same error 500 / the sam log message when I stop the PHP FPM service. So I thought "he" can't connect to the FPM server. But when I increase the processes in the config or switch from dynamic to static mode nothing changes. I am the only user using this webserver on that machine – so there cannot be too few processes.

I also turned off the Zend Opcode and the APCU module. Also nothing changed.

Hope someone can help – it's a annoying to work with these errors.

0

Looks like the solution: https://github.com/gplessis/dotdeb-php/issues/124 Install a newer version of libpcre3.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.